apiVersion: apps/v1
kind: Deployment
metadata:
  name: nginx-deployment
  namespace: {{ .Values.namespace }}
  labels:
    app: h
    app-env: dev
    app-service: nginx
spec:
  replicas: 2
  selector:
    matchLabels:
      app: h
      app-env: dev
      app-service: nginx
  template:
    metadata:
      name: 
      namespace: h-dev
      labels:
        app: h
        app-env: dev
        app-service: nginx
    spec:
      containers:
        - image: {{ .Values.nginx.image }}
          imagePullPolicy: IfNotPresent
          name: nginx
          ports:
          - containerPort: 80
            name: http
            protocol: TCP
          volumeMounts:
          # - name: conf
            # mountPath: /etc/nginx/conf.d
          - name: data
            mountPath: /usr/share/nginx/html
      volumes:
      - name: conf
        nfs:
          path: "{{ .Values.nfs.workspace }}/app/nginx/conf.d"
          server: {{ .Values.nfs.server }}
      - name: data
        nfs:
          path: "{{ .Values.nfs.workspace }}/code/home"
          server: {{ .Values.nfs.server }}

